<?php
	$module_folder = 'modules/custom';

	if (!defined('IS_INSTALL')) {
		// separate module install
		define('IS_INSTALL', 1);
		define('ADMIN', 1);
		define('REL_PATH', $module_folder);
		define('FULL_PATH', realpath(dirname(__FILE__) . '/../..') );

		include_once(FULL_PATH . '/core/kernel/startup.php');
		require_once FULL_PATH . '/core/install/install_toolkit.php';

		$toolkit = new kInstallToolkit();
	}
	else {
		// install, using installation wizard
		$toolkit =& $this->toolkit;
		/* @var $toolkit kInstallToolkit */
	}

	$application =& kApplication::Instance();
	$application->Init();

	if ($application->RecallVar('user_id') != USER_ROOT) {
		die('restricted access!');
	}

	$toolkit->RunSQL('/' . $module_folder  .'/install/install_schema.sql');
	$toolkit->RunSQL('/' . $module_folder  .'/install/install_data.sql');
	$toolkit->ImportLanguage('/' . $module_folder  .'/install/english');

	$toolkit->finalizeModuleInstall($module_folder, false);